#!/bin/sh

#
#	Set parameters below to fit your system
#

GENOME_DIR="~/db/hg19/hg19_full.fa"

GENOME="~/db/hg19/hg19_full.fa.fai"

DELVE_DIR="~/bin/delve"

GENOME_VERSION="HG19"

SEED_LEN="10"
STEP_SIZE="10"

#
#
#


trap 'rm -f $TMPFILE; exit 1' \
SIGHUP SIGINT SIGQUIT SIGTERM
trap 'rm -f $TMPFILE' EXIT


QSUB=`type qsub 2> /dev/null | sed -e "s/.* is //"`


if [ $# -ne 1 ]                  
then
   echo Usage is : $0 directory_name
fi
		
for file in $1/*                       
do
	if [ -f $file ]; then 
		if [[ $file =~ .f[q,a]$ ]]; then
		
			if [ -f $file.hmm.sam ]; then 
				echo "$file already processed"
			else
		
				if [ -n "${QSUB}" ]; then
					echo "#!/bin/bash" > $file.delve.qsub;
					echo "#\$ -cwd" >> $file.delve.qsub;
					echo "#\$ -N DELVE" >> $file.delve.qsub;
					echo "#\$ -e $file.delve.stdout" >> $file.delve.qsub;
					echo "#\$ -o $file.delve.stderr" >> $file.delve.qsub;
					echo "#\$ -l ncpu=8" >> $file.delve.qsub;
					echo "#\$ -l mt=8G" >> $file.delve.qsub;
					echo "$DELVE_DIR seed $file $GENOME_DIR -o $file.sam -t 8 -l $SEED_LEN -s $STEP_SIZE -as $GENOME_VERSION" >> $file.delve.qsub;
					echo "$DELVE_DIR align $file.sam $GENOME_DIR -m $file.mdl -o  $file.hmm.sam -t 8  -as $GENOME_VERSION" >> $file.delve.qsub;
					#echo "samtools view -bt $GENOME -o $file.bam  $file.hmm.sam" >> $file.delve.qsub;
					#echo "$DELVE_DIR align $file.sam $GENOME_DIR -m $file.local.mdl -o  $file.hmm_local.sam -t 8  -as $GENOME_VERSION -lm -ts 100" >> $file.delve.qsub;
					#echo "$DELVE_DIR realign $file.sam $GENOME_DIR  -o  $file.realign.sam  -as $GENOME_VERSION" >> $file.delve.qsub;
					qsub -p 999999 $file.delve.qsub;
				else
					delve seed $file $GENOME_DIR  -o $file.sam -t 8 -l $SEED_LEN -s $STEP_SIZE;
					delve align $file.sam  $GENOME_DIR  -m $file.mdl -o  $file.hmm.sam -t 8;
					#samtools view -bt $GENOME -o $file.bam  $file.hmm.sam;
				fi
			fi
		fi
	fi
done

