/*
 
 Copyright (C) 2010 Timo Lassmann <timolassmann@gmail.com>
 
 This file is part of delve.
 
 Delve is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 Delve is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Delve.  If not, see <http://www.gnu.org/licenses/>.
 
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#define VERSION "Delve 0.9"

#define MAX_LINE 1000


struct read_info{
	unsigned char* name;
	unsigned char* qual;
	unsigned char* seq; 
	unsigned int* strand;
	unsigned int* hits;
	float mapq;
	float* priors;
	float* identity;
	int len;
};

struct genome_probabilities{
	float** plus;
	float** minus;
	int num_reads;
};

struct rescue_probabilities{
	float* plus;
	float* minus;
	
	float* t_plus;
	float* t_minus;

	float total;
	unsigned int block_size;
};

FILE* outfile;
